Subject: Re: bug#22157: html renderer shr - Links open twice in external browser

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 22 Jun 2016 19:41:41 +0900

On Mon, 13 Jun 2016 10:22:20 +0900, Katsumi Yamaoka wrote:
> Left-click causes invoking `widget-button-click' by the mouse-1
> event, and `shr-browse-url' by the mouse-2 event 0.6 sec after
> (I tested it by adding a logger code to each function).  But
> middle-click invokes only `widget-button-click' by down-mouse-2.
> At the link position, there are two keymaps[1]:
[...]
> [1] I wrote "there are three keymaps" last month but it's wrong,
> probably.

No, that's right.  I'm sorry for flip-flopping; the third one is
`gnus-article-mode-map', of which the parent is `widget-keymap'.
Anyway I found the solution for this bug at last.  I verified
the problem happens with emacs-25, not only master, so I've
committed the fix to emacs-25:

git diff 8297331..ea512a7

Regards,